<template>
  <q-page class="flex">
    <q-table
      class="full-width"
      :title="path"
      :columns="fields"
      :data="data"
      row-key="name"
    />
  </q-page>
</template>

<script>
export default {
  name: 'PageReport',
  computed: {
    path() {
      return this.$route.params.endpoint
    },
  },
  data() {
    return {
      fields: [],
      data: [],
    }
  },
}
</script>
